summaryrefslogtreecommitdiff
path: root/bin/guiscripts/mlight
diff options
context:
space:
mode:
Diffstat (limited to 'bin/guiscripts/mlight')
-rwxr-xr-xbin/guiscripts/mlight10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/guiscripts/mlight b/bin/guiscripts/mlight
new file mode 100755
index 0000000..41d6f90
--- /dev/null
+++ b/bin/guiscripts/mlight
@@ -0,0 +1,10 @@
+#!/bin/sh
+light="$(light -G)"
+light="$(printf '30
+60
+90' | commander -c -w 6 -y 3 -p "(${light%.*})")"
+[ "$light" ] || exit 1
+light -S "$light"
+
+[ -p ~/.config/wob/pipe ] &&
+ printf '%s\n' "$light" > ~/.config/wob/pipe